Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006118 [JEDI VCL] 00 JVCL Components crash always 2013-04-04 12:47 2015-09-14 13:20
Reporter SF View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006118: AutoSort in JvDBUltimGrid (2)
Description procedure RestoreGridPosition crash if the previously call to SaveGridPosition was unable to retreive bookmark info.
Solution: Check if Assigned(FSavedBookmark) as in:
 
procedure TJvDBUltimGrid.RestoreGridPosition(Mode: TResyncMode = [rmExact, rmCenter]);
begin
  if Assigned(FOnRestoreGridPosition) then
  begin
// if DataLink.DataSet.BookmarkValid(Pointer(FSavedBookmark)) then
    if (Assigned(FSavedBookmark)) and DataLink.DataSet.BookmarkValid(Pointer(FSavedBookmark)) then
      GotoBookmarkEx(DataLink.DataSet, Pointer(FSavedBookmark), [rmExact], False);

    DataLink.ActiveRecord := FSavedRowPos;
    FOnRestoreGridPosition(Self, Pointer(FSavedBookmark), FSavedRowPos);
  end
  else
// if DataLink.DataSet.BookmarkValid(Pointer(FSavedBookmark)) then
  if (Assigned(FSavedBookmark)) and DataLink.DataSet.BookmarkValid(Pointer(FSavedBookmark)) then
    GotoBookmarkEx(DataLink.DataSet, Pointer(FSavedBookmark), Mode, False);
end;
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020721)
obones (administrator)
2013-12-13 10:50

Please try with the latest JVCL version in GIT (or daily zip) and then send us a zipped file containing the sources of an application showing the issue.
(0020899)
SF (reporter)
2014-01-16 17:24

Fixed!
(0020904)
obones (administrator)
2014-01-29 09:59

Thank you for your feedback

- Issue History
Date Modified Username Field Change
2013-04-04 12:47 SF New Issue
2013-12-13 10:50 obones Note Added: 0020721
2013-12-13 10:50 obones Status new => feedback
2014-01-16 17:24 SF Note Added: 0020899
2014-01-29 09:59 obones Note Added: 0020904
2014-01-29 09:59 obones Status feedback => resolved
2014-01-29 09:59 obones Fixed in Version => Daily / GIT
2014-01-29 09:59 obones Resolution open => fixed
2014-01-29 09:59 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker